<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class RekomendasiAhli extends Model
{
    use HasFactory;

    protected $table = 'rekomendasi_ahli';

    protected $fillable = [
        'makanan_id',
        'waktu_makan_id',
        'komponen_id',
        'catatan',
    ];

    // Relasi ke makanan
    public function makanan()
    {
        return $this->belongsTo(Makanan::class);
    }

    // Relasi ke waktu makan
    public function waktuMakan()
    {
        return $this->belongsTo(WaktuMakan::class);
    }

    // Relasi ke komponen
    public function komponen()
    {
        return $this->belongsTo(Komponen::class);
    }
}
